# Contents of this file

* [Introduction](#intro)
* [Requirements](#requirements)
* [Recommended modules](#recommended)
* [Installation](#install)
* [Configuration](#config)
* [Permissions](#perms)
* [Use](#use)
* [Fields](#fields)
* [Troubleshooting](#trouble)
* [Limitations](#limits)
* [Maintainer](#maintainers)


# Introduction<a id="intro"></a>

The **Project Documentation** module creates a node content type
suitable for recording what projects are downloaded for use on a site
and metadata (what, when, why and who) them.  The use case for this
project is to help site builders keep a “diary” of the projects they
install and why they did it (these things seems to disappear in the
mist of time as a website evolve).  It can also be used to keep track
om projects that has been evaluated and rejected, to avoid making the
same mistake twice.

To view the project documentation click on “Project list” in the
Management menu.

# Requirements<a id="requirements"></a>

This module requires the following projects:

* [Chaos tool suite][0]
* [Date][1]
* [Entity API][2]
* [Entity Reference][3]
* [Link][4]
* Options (core)
* Taxonomy (core)
* Text (core)
* [Views][05]


# Recommended modules<a id="recommended"></a>

* [Advanced Help][06]:  
  When this module is enabled, display of the project's `README.md`
  will be rendered when you visit
  `help/anonymous_publishing/README.md`.
* [Markdown filter][07]:  
  When this module is enabled, display of the project's `README.md`
  will be rendered with the markdown filter.
* [Module filter][08]:  
  To monitor install status of project modules.


# Installation<a id="install"></a>

Install as you would normally install a contributed drupal
module. See: [Installing modules][09] for further information.


# Configuration<a id="config"></a>

There is no configuration form.  Just enable the module and a content
type named “Project documentation” will appear along with a “Project
list” menu entry in the Management menu.

Uninstalling the module will remove the content type, all content of
the type “Project documentation” and the “Project list” menu entry.

# Permissions<a id="perms"></a>

To access the project documentation, the user needs the permission
“Use the administration pages and help”.

# Use<a id="use"></a>

There are two-ways to add documentation about the project's used on
your site:

1. Manually.
2. Semi-automatically.

To manually add a project, navigate to *Content » Add content »
Project documentation*, fill in the fields and press “Save” (as you
would normally when creating content on a Drupal site).

To add undocumented projects semi-automatically, first clear the cache
(to rebuild the internal project list), then navigate to *Config »
System » Generate project documentation nodes*.  This will scan your
site for projects and report on their status. Pressing the “Create
documenta&shy;tion&nbsp;…”-button will bulk-create new nodes for the
undocumented projects listed in the summary.  It will not touch
projects already documented.  It will not add projects where the
project key is missing (see [Troubleshooting](#trouble) below).

# Fields<a id="fields"></a>

Two pre-existing fields are appropriated and used:

* Project name  `[title]`
* Why `[body]`

Four additional fields are created:

* Shortname `[field_projdoc_shortname]`
* Link to project at Drupal.org `[field_projdoc_projectpage]`
* Date first installed `[field_projdoc_dateinst]`
* Owner of project `[field_projdoc_who]`

The module will abort installation if one if these four additional
fields already exists on the site.

# Troubleshooting<a id="trouble"></a>

You may encounter the following error messages and warnings:

* The module could not be enabled. The following field already exists: &hellip;  
Some other interferes with this module's field namespace, or the
module has not been properly uninstalled.

* File `my_project.info` for “My project” is missing the “project” key.  
The “project” key is normally added by packaging script at Drupal.org.
This indicates that the project originated from some other source.
You may add the project manually.


# Limitations<a id="limits"></a>

The module relies on the “project” key in the project's `.info`-files
to correctly identify the project a particular module belongs to. If
this key is missing, a warning is printed when projects are scanned
for inclusion in the project documentation.  Project's missing this
key must be added manually.


# Maintainers<a id="maintainers"></a>

The project is created and maintained by [Gisle Hannemyr][10].

Any help with development (patches, reviews, comments) are welcome.

Development has been sponsored by [Hannemyr Nye Medier AS][11].

[0]: https://www.drupal.org/project/ctools
[1]: https://www.drupal.org/project/date
[2]: https://www.drupal.org/project/entity
[3]: https://www.drupal.org/project/entityreference
[4]: https://www.drupal.org/project/link
[05]: https://www.drupal.org/project/views
[06]: https://www.drupal.org/project/advanced_help
[07]: https://www.drupal.org/project/markdown
[08]: https://www.drupal.org/project/module_filter
[09]: https://drupal.org/documentation/install/modules-themes/modules-7
[10]: https://www.drupal.org/u/gisle
[11]: https://hannemyr.no/
