<?php
/**
 * @file
 * projectdocumentation.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function projectdocumentation_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-projectdocumentation-body'.
  $field_instances['node-projectdocumentation-body'] = array(
    'bundle' => 'projectdocumentation',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Why was this module installed (and if disabled/uninstalled, when, the reason for doing this).',
    'display' => array(
      'default' => array(
       'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
      'teaser' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(
          'trim_length' => 600,
        ),
        'type' => 'text_summary_or_trimmed',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'body',
    'label' => 'Why',
    'required' => 0,
    'settings' => array(
      'display_summary' => 1,
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 20,
        'summary_rows' => 5,
      ),
      'type' => 'text_textarea_with_summary',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'node-projectdocumentation-field_projdoc_projectpage'.
  $field_instances['node-projectdocumentation-field_projdoc_projectpage'] = array(
    'bundle' => 'projectdocumentation',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'If the project is a contributed project with a project page at Drupal.org, link to the project page. Leave this field blank for a custom project.',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'inline',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_projdoc_projectpage',
    'label' => 'Link to project at Drupal.org',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'none',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 2,
    ),
  );

  // 'fromto' => 'both',
  // Exported field_instance: 'node-projectdocumentation-field_projdoc_dateinst'.
  $field_instances['node-projectdocumentation-field_projdoc_dateinst'] = array(
    'bundle' => 'projectdocumentation',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
          'show_remaining_days' => FALSE,
        ),
        'type' => 'date_default',
        'weight' => 5,
      ),
      'teaser' => array(
        'label' => 'inline',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_projdoc_dateinst',
    'label' => 'Date first installed',
    'required' => 0,
    'settings' => array(
      'default_value' => 'now',
      'default_value2' => 'same',
      'default_value_code' => '',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'Y-m-d H:i:s',
        'input_format_custom' => '',
        'label_position' => 'above',
        'no_fieldset' => 0,
        'text_parts' => array(),
        'year_range' => '-3:+3',
      ),
      'type' => 'date_select',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-projectdocumentation-field_projdoc_who'.
  $field_instances['node-projectdocumentation-field_projdoc_who'] = array(
    'bundle' => 'projectdocumentation',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The user who “owns” the project and determines the grounds for its use or non-use. Use the free-text “Why” field to provide more information about ownership.',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'entityreference',
        'settings' => array(
          'bypass_access' => FALSE,
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 4,
      ),
      'teaser' => array(
        'label' => 'inline',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 4,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_projdoc_who',
    'label' => 'Owner of project',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'path' => '',
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 4,
    ),
  );

  // Exported field_instance:
  // 'node-projectdocumentation-field_projdoc_shortname'.
  $field_instances['node-projectdocumentation-field_projdoc_shortname'] = array(
    'bundle' => 'projectdocumentation',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Short name for the project.',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 2,
      ),
      'teaser' => array(
        'label' => 'inline',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_projdoc_shortname',
    'label' => 'Shortname',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 1,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Date first installed');
  t('Enter the date the module was first installed on the site.');
  t('If the project is a contributed project with a project page at Drupal.org, link to the project page. Leave blank for a custom project.');
  t('Project page');
  t('The name of the user that first installed the project.');
  t('Who');
  t('Why');
  t('Why is this module installed (and if disabled/uninstalled, the reason for this).');

  return $field_instances;
}
