<?php

/**
 * @file
 * Views for Project documentation.
 */

/**
 * Implements hook_views_api().
 */
function projectdocumentation_views_api() {
  return array('api' => 3.0);
}

/**
 * Implements hook_views_default_views().
 */
function projectdocumentation_views_default_views() {

/* Beginning of Views export */

$view = new view();
$view->name = 'projectdocumentation';
$view->description = 'List over prosjects that are (or have been) used on the website.';
$view->tag = 'default';
$view->base_table = 'node';
$view->human_name = 'Projectdocumentation';
$view->core = 7;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Master */
$handler = $view->new_display('default', 'Master', 'default');
$handler->display->display_options['title'] = 'Project list';
$handler->display->display_options['use_more_always'] = FALSE;
$handler->display->display_options['use_more_text'] = 'more';
$handler->display->display_options['access']['type'] = 'perm';
$handler->display->display_options['access']['perm'] = 'access administration pages';
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['exposed_form']['options']['submit_button'] = 'Use';
$handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Reset';
$handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Sort by';
$handler->display->display_options['exposed_form']['options']['sort_asc_label'] = 'Asc';
$handler->display->display_options['exposed_form']['options']['sort_desc_label'] = 'Desc';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['pager']['options']['items_per_page'] = '50';
$handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Items per page';
$handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- All -';
$handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Offset';
$handler->display->display_options['pager']['options']['tags']['first'] = '« first';
$handler->display->display_options['pager']['options']['tags']['previous'] = ' previous';
$handler->display->display_options['pager']['options']['tags']['next'] = 'next ';
$handler->display->display_options['pager']['options']['tags']['last'] = 'last »';
$handler->display->display_options['style_plugin'] = 'list';
$handler->display->display_options['style_options']['type'] = 'ol';
$handler->display->display_options['row_plugin'] = 'fields';
$handler->display->display_options['row_options']['inline'] = array(
  'title' => 'title',
  'field_projdoc_dateinst' => 'field_projdoc_dateinst',
  'body' => 'body',
);
$handler->display->display_options['row_options']['separator'] = '-';
/* Field: Content: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = '';
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
$handler->display->display_options['fields']['title']['element_class'] = 'Disabled';
$handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
/* Field: Content: Date first installed */
$handler->display->display_options['fields']['field_projdoc_dateinst']['id'] = 'field_projdoc_dateinst';
$handler->display->display_options['fields']['field_projdoc_dateinst']['table'] = 'field_data_field_projdoc_dateinst';
$handler->display->display_options['fields']['field_projdoc_dateinst']['field'] = 'field_projdoc_dateinst';
$handler->display->display_options['fields']['field_projdoc_dateinst']['label'] = '';
$handler->display->display_options['fields']['field_projdoc_dateinst']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['field_projdoc_dateinst']['settings'] = array(
  'format_type' => 'short',
  'custom_date_format' => '',
  'fromto' => 'both',
  'multiple_number' => '',
  'multiple_from' => '',
  'multiple_to' => '',
  'show_remaining_days' => 0,
);
/* Field: Content: Body */
$handler->display->display_options['fields']['body']['id'] = 'body';
$handler->display->display_options['fields']['body']['table'] = 'field_data_body';
$handler->display->display_options['fields']['body']['field'] = 'body';
$handler->display->display_options['fields']['body']['label'] = '';
$handler->display->display_options['fields']['body']['alter']['strip_tags'] = TRUE;
$handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
$handler->display->display_options['fields']['body']['element_default_classes'] = FALSE;
$handler->display->display_options['fields']['body']['type'] = 'text_trimmed';
$handler->display->display_options['fields']['body']['settings'] = array(
  'trim_length' => '45',
);
/* Sort criterion: Content: Title */
$handler->display->display_options['sorts']['title']['id'] = 'title';
$handler->display->display_options['sorts']['title']['table'] = 'node';
$handler->display->display_options['sorts']['title']['field'] = 'title';
/* Filter criterion: Content: Published */
$handler->display->display_options['filters']['status']['id'] = 'status';
$handler->display->display_options['filters']['status']['table'] = 'node';
$handler->display->display_options['filters']['status']['field'] = 'status';
$handler->display->display_options['filters']['status']['value'] = 1;
$handler->display->display_options['filters']['status']['group'] = 1;
$handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
/* Filter criterion: Content: Type */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'projectdocumentation' => 'projectdocumentation',
);
$handler->display->display_options['filters']['type']['group'] = 1;

/* Display: Page */
$handler = $view->new_display('page', 'Page', 'page');
$handler->display->display_options['path'] = 'admin/projectlist';
$handler->display->display_options['menu']['type'] = 'normal';
$handler->display->display_options['menu']['title'] = 'Project list';
$handler->display->display_options['menu']['description'] = 'List of projects that currently is present';
$handler->display->display_options['menu']['weight'] = '0';
$handler->display->display_options['menu']['name'] = 'management';
$handler->display->display_options['menu']['context'] = 0;
$handler->display->display_options['menu']['context_only_inline'] = 0;

/* End of Views export */
  
  // repeat for each view
  $views[$view->name] = $view;

  return $views;
}
/*
$translatables['projectdocumentation'] = array(
  t('Master'),
  t('Project list'),
  t('more'),
  t('Use'),
  t('Reset'),
  t('Sort by'),
  t('Asc'),
  t('Desc'),
  t('Items per page'),
  t('- All -'),
  t('Offset'),
  t('« first'),
  t(' previous'),
  t('next '),
  t('last »'),
  t('Page'),
);
*/
